> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Blacklist

> Fetch player blacklist information from seraph



## OpenAPI

````yaml https://api.seraph.si/json get /{player}/blacklist
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/UzJjnZhe8f
  title: Seraph API
  version: '1.0'
servers:
  - url: api.seraph.si/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /{player}/blacklist:
    get:
      tags:
        - API
      summary: Blacklist
      description: Fetch player blacklist information from seraph
      parameters:
        - description: Player UUID to fetch
          in: path
          name: player
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.BlacklistEndpoint'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad Request
components:
  schemas:
    routes.BlacklistEndpoint:
      properties:
        code:
          type: integer
        data:
          properties:
            annoylist:
              properties:
                tagged:
                  type: boolean
                tooltip:
                  type: string
              type: object
            blacklist:
              properties:
                reason:
                  type: string
                report_type:
                  type: string
                tagged:
                  type: boolean
                timestamp:
                  type: integer
                tooltip:
                  type: string
                verified:
                  type: boolean
              type: object
            bot:
              properties:
                kay:
                  type: boolean
                tagged:
                  type: boolean
                unidentified:
                  type: boolean
              type: object
            customTag:
              type: string
            key_type:
              type: string
            member:
              properties:
                tagged:
                  type: boolean
                tooltip:
                  type: string
              type: object
            name_change:
              properties:
                changed:
                  type: boolean
                last_change:
                  type: integer
                tagged:
                  type: boolean
                tooltip:
                  type: string
              type: object
            safelist:
              properties:
                AddedBy:
                  type: string
                added_by:
                  type: string
                discord_linked:
                  type: string
                personal:
                  type: boolean
                security_level:
                  type: integer
                tagged:
                  type: boolean
                time_added:
                  type: integer
                time_updated:
                  type: integer
                timesKilled:
                  type: integer
                tooltip:
                  type: string
              type: object
            statistics:
              properties:
                encounters:
                  type: integer
                threat_level:
                  type: integer
              type: object
            username:
              type: string
            uuid:
              type: string
          type: object
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````